Skip to main content
`Ctrl`+`K`

# PetscGetUserName

Get the login name of the user running the program on the current MPI process

## Synopsis

    #if defined(PETSC_HAVE_GET_USER_NAME)
    PetscErrorCode PetscGetUserName(char name[], size_t nlen)

Not Collective

## Input Parameter

- nlen - length of the `name` buffer

## Output Parameter

- name - on output, holds the user name (null-terminated)

## See Also

`PetscGetHostName()`, `PetscGetProgramName()`

## Level

developer

## Location

src/sys/utils/fuser.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages